POST
Transactions/wallets/{walletId}/depositDeposit funds
Posts a deposit using an idempotency key carried in the request body.
Access tierbusiness_operatorRate limit20/minIdempotencybody:idempotency_keyAuthenticationBearerAuth
Source
LuxApi/app/Http/Controllers/Api/WalletApiController.php::depositLuxPayProjects @ 146e98baa44eParameters
X-Request-IDheaderClient correlation identifier. LuxPay may generate one when omitted.
Example:req_01J...walletIdpathNumeric wallet identifier.
Example:42Request body
WalletMovementRequestRequired
amountnumber
Example:
5000currency_codestring
Example:
YERidempotency_keystring
Example:
wallet_move_01JABC...payment_methodstring | null
Example:
cashdescriptionstring | null
Example:
Cash desk depositJSON example
{
"amount": 5000,
"currency_code": "YER",
"idempotency_key": "wallet_move_01JABC...",
"payment_method": "cash",
"description": "Cash desk deposit"
}Code examples
The displayed sandbox host is a placeholder until an official host is provisioned. Never paste a production token into a public browser.
curl --request POST \
--url 'https://sandbox-api.luxpay.example/v1/wallets/42/deposit' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"amount": 5000,
"currency_code": "YER",
"idempotency_key": "wallet_move_01JABC...",
"payment_method": "cash",
"description": "Cash desk deposit"
}'Responses
200Successful response.
statusboolean
Example:
truemessagestring | null
message_translatedstring | null
dataTransaction
{
"status": true,
"message": "string",
"message_translated": "string",
"data": {
"id": 901,
"uuid": "00000000-0000-4000-8000-000000000001",
"wallet_id": 42,
"owner_type": "customer",
"owner_id": 2201,
"transaction_type": "transfer",
"status": "completed",
"amount": 1250.5,
"currency_code": "YER",
"exchange_rate": 1,
"local_amount": 1,
"fee_amount": 0,
"net_amount": 1250.5,
"reference_type": "string",
"reference_id": 1,
"external_reference": "string",
"idempotency_key": "string",
"business_id": 1,
"branch_id": 1,
"payment_method": "string",
"description": "string",
"meta": {},
"completed_at": "2026-07-16T12:00:00Z",
"failed_at": "2026-07-16T12:00:00Z",
"reversed_at": "2026-07-16T12:00:00Z",
"created_at": "2026-07-16T12:00:00Z"
}
}